// Gmsh - Copyright (C) 1997-2013 C. Geuzaine, J.-F. Remacle
//
// See the LICENSE.txt file for license information. Please report all
// bugs and problems to the public mailing list <gmsh@geuz.org>.

#ifndef _GMSH_CONFIG_H_
#define _GMSH_CONFIG_H_

/* #undef HAVE_3M */
#define HAVE_64BIT_SIZE_T
/* #undef HAVE_ACIS */
#define HAVE_ANN
#define HAVE_BAMG
#define HAVE_BFGS
#define HAVE_BLAS
#define HAVE_BLOSSOM
#define HAVE_CHACO
/* #undef HAVE_DLOPEN */
#define HAVE_DINTEGRATION
#define HAVE_FLTK
/* #undef HAVE_FOURIER_MODEL */
#define HAVE_GMM
/* #undef HAVE_GMP */
#define HAVE_KBIPACK
#define HAVE_LAPACK
/* #undef HAVE_LIBCGNS */
#define HAVE_LIBJPEG
#define HAVE_LIBPNG
#define HAVE_LIBZ
#define HAVE_MATHEX
#define HAVE_MED
#define HAVE_MESH
#define HAVE_METIS
#define HAVE_MMG3D
#define HAVE_MPEG_ENCODE
/* #undef HAVE_MPI */
#define HAVE_NATIVE_FILE_CHOOSER
#define HAVE_NETGEN
/* #undef HAVE_NO_INTPTR_T */
#define HAVE_NO_SOCKLEN_T
/* #undef HAVE_NO_STDINT_H */
/* #undef HAVE_NO_VSNPRINTF */
#define HAVE_OCC
#define HAVE_ONELAB
#define HAVE_ONELAB_METAMODEL
#define HAVE_OPENGL
#define HAVE_OPTHOM
/* #undef HAVE_OSMESA */
#define HAVE_PARSER
#define HAVE_PETSC
#define HAVE_PLUGINS
#define HAVE_POST
/* #undef HAVE_POPPLER */
/* #undef HAVE_QT */
#define HAVE_RTREE
#define HAVE_SALOME
#define HAVE_SLEPC
#define HAVE_SOLVER
/* #undef HAVE_TAUCS */
#define HAVE_TETGEN
#define HAVE_VORO3D

#define GMSH_CONFIG_OPTIONS " 64Bit Ann Bamg Bfgs Blas Blossom Chaco DIntegration Fltk Gmm Jpeg(Fltk) Kbipack Lapack MathEx Med Mesh Metis Mmg3d Mpeg NativeFileChooser Netgen NoSocklenT OneLab OneLabMetamodel OpenCascade OpenGL OptHom PETSc Parser Plugins Png(Fltk) Post RTree SLEPc Salome Solver Tetgen(1.5) Voro3D Zlib(Fltk)"



#endif
